Makefile (31eb07f5f8febab3d68b9d1a350d9e5a4bdf6780) Makefile (39c3f1ba5ee3b937c43747f60dfa869d9776a4ac)
1# ===========================================================================
2# Kernel configuration targets
3# These targets are used from top-level makefile
4
5PHONY += xconfig gconfig menuconfig config silentoldconfig update-po-config \
6 localmodconfig localyesconfig
7
8ifdef KBUILD_KCONFIG

--- 72 unchanged lines hidden (view full) ---

81PHONY += $(simple-targets)
82
83$(simple-targets): $(obj)/conf
84 $< $(silent) --$@ $(Kconfig)
85
86PHONY += oldnoconfig savedefconfig defconfig
87
88# oldnoconfig is an alias of olddefconfig, because people already are dependent
1# ===========================================================================
2# Kernel configuration targets
3# These targets are used from top-level makefile
4
5PHONY += xconfig gconfig menuconfig config silentoldconfig update-po-config \
6 localmodconfig localyesconfig
7
8ifdef KBUILD_KCONFIG

--- 72 unchanged lines hidden (view full) ---

81PHONY += $(simple-targets)
82
83$(simple-targets): $(obj)/conf
84 $< $(silent) --$@ $(Kconfig)
85
86PHONY += oldnoconfig savedefconfig defconfig
87
88# oldnoconfig is an alias of olddefconfig, because people already are dependent
89# on its behavior(sets new symbols to their default value but not 'n') with the
89# on its behavior (sets new symbols to their default value but not 'n') with the
90# counter-intuitive name.
91oldnoconfig: olddefconfig
92
93savedefconfig: $(obj)/conf
94 $< $(silent) --$@=defconfig $(Kconfig)
95
96defconfig: $(obj)/conf
97ifeq ($(KBUILD_DEFCONFIG),)

--- 21 unchanged lines hidden (view full) ---

119tinyconfig:
120 $(Q)$(MAKE) -f $(srctree)/Makefile allnoconfig tiny.config
121
122# Help text used by make help
123help:
124 @echo ' config - Update current config utilising a line-oriented program'
125 @echo ' nconfig - Update current config utilising a ncurses menu based program'
126 @echo ' menuconfig - Update current config utilising a menu based program'
90# counter-intuitive name.
91oldnoconfig: olddefconfig
92
93savedefconfig: $(obj)/conf
94 $< $(silent) --$@=defconfig $(Kconfig)
95
96defconfig: $(obj)/conf
97ifeq ($(KBUILD_DEFCONFIG),)

--- 21 unchanged lines hidden (view full) ---

119tinyconfig:
120 $(Q)$(MAKE) -f $(srctree)/Makefile allnoconfig tiny.config
121
122# Help text used by make help
123help:
124 @echo ' config - Update current config utilising a line-oriented program'
125 @echo ' nconfig - Update current config utilising a ncurses menu based program'
126 @echo ' menuconfig - Update current config utilising a menu based program'
127 @echo ' xconfig - Update current config utilising a QT based front-end'
128 @echo ' gconfig - Update current config utilising a GTK based front-end'
127 @echo ' xconfig - Update current config utilising a Qt based front-end'
128 @echo ' gconfig - Update current config utilising a GTK+ based front-end'
129 @echo ' oldconfig - Update current config utilising a provided .config as base'
130 @echo ' localmodconfig - Update current config disabling modules not loaded'
131 @echo ' localyesconfig - Update current config converting local mods to core'
132 @echo ' silentoldconfig - Same as oldconfig, but quietly, additionally update deps'
133 @echo ' defconfig - New config with default from ARCH supplied defconfig'
134 @echo ' savedefconfig - Save current config as ./defconfig (minimal config)'
135 @echo ' allnoconfig - New config where all options are answered with no'
136 @echo ' allyesconfig - New config where all options are accepted with yes'

--- 16 unchanged lines hidden (view full) ---

153# ===========================================================================
154# Shared Makefile for the various kconfig executables:
155# conf: Used for defconfig, oldconfig and related targets
156# nconf: Used for the nconfig target.
157# Utilizes ncurses
158# mconf: Used for the menuconfig target
159# Utilizes the lxdialog package
160# qconf: Used for the xconfig target
129 @echo ' oldconfig - Update current config utilising a provided .config as base'
130 @echo ' localmodconfig - Update current config disabling modules not loaded'
131 @echo ' localyesconfig - Update current config converting local mods to core'
132 @echo ' silentoldconfig - Same as oldconfig, but quietly, additionally update deps'
133 @echo ' defconfig - New config with default from ARCH supplied defconfig'
134 @echo ' savedefconfig - Save current config as ./defconfig (minimal config)'
135 @echo ' allnoconfig - New config where all options are answered with no'
136 @echo ' allyesconfig - New config where all options are accepted with yes'

--- 16 unchanged lines hidden (view full) ---

153# ===========================================================================
154# Shared Makefile for the various kconfig executables:
155# conf: Used for defconfig, oldconfig and related targets
156# nconf: Used for the nconfig target.
157# Utilizes ncurses
158# mconf: Used for the menuconfig target
159# Utilizes the lxdialog package
160# qconf: Used for the xconfig target
161# Based on QT which needs to be installed to compile it
161# Based on Qt which needs to be installed to compile it
162# gconf: Used for the gconfig target
162# gconf: Used for the gconfig target
163# Based on GTK which needs to be installed to compile it
163# Based on GTK+ which needs to be installed to compile it
164# object files used by all kconfig flavours
165
166lxdialog := lxdialog/checklist.o lxdialog/util.o lxdialog/inputbox.o
167lxdialog += lxdialog/textbox.o lxdialog/yesno.o lxdialog/menubox.o
168
169conf-objs := conf.o zconf.tab.o
170mconf-objs := mconf.o zconf.tab.o $(lxdialog)
171nconf-objs := nconf.o zconf.tab.o nconf.gui.o

--- 40 unchanged lines hidden (view full) ---

212 || pkg-config --libs menu panel ncurses 2>/dev/null \
213 || echo "-lmenu -lpanel -lncurses" )
214$(obj)/qconf.o: $(obj)/.tmp_qtcheck
215
216ifeq ($(MAKECMDGOALS),xconfig)
217$(obj)/.tmp_qtcheck: $(src)/Makefile
218-include $(obj)/.tmp_qtcheck
219
164# object files used by all kconfig flavours
165
166lxdialog := lxdialog/checklist.o lxdialog/util.o lxdialog/inputbox.o
167lxdialog += lxdialog/textbox.o lxdialog/yesno.o lxdialog/menubox.o
168
169conf-objs := conf.o zconf.tab.o
170mconf-objs := mconf.o zconf.tab.o $(lxdialog)
171nconf-objs := nconf.o zconf.tab.o nconf.gui.o

--- 40 unchanged lines hidden (view full) ---

212 || pkg-config --libs menu panel ncurses 2>/dev/null \
213 || echo "-lmenu -lpanel -lncurses" )
214$(obj)/qconf.o: $(obj)/.tmp_qtcheck
215
216ifeq ($(MAKECMDGOALS),xconfig)
217$(obj)/.tmp_qtcheck: $(src)/Makefile
218-include $(obj)/.tmp_qtcheck
219
220# QT needs some extra effort...
220# Qt needs some extra effort...
221$(obj)/.tmp_qtcheck:
222 @set -e; $(kecho) " CHECK qt"; dir=""; pkg=""; \
223 if ! pkg-config --exists QtCore 2> /dev/null; then \
221$(obj)/.tmp_qtcheck:
222 @set -e; $(kecho) " CHECK qt"; dir=""; pkg=""; \
223 if ! pkg-config --exists QtCore 2> /dev/null; then \
224 echo "* Unable to find the QT4 tool qmake. Trying to use QT3"; \
224 echo "* Unable to find the Qt4 tool qmake. Trying to use Qt3"; \
225 pkg-config --exists qt 2> /dev/null && pkg=qt; \
226 pkg-config --exists qt-mt 2> /dev/null && pkg=qt-mt; \
227 if [ -n "$$pkg" ]; then \
228 cflags="\$$(shell pkg-config $$pkg --cflags)"; \
229 libs="\$$(shell pkg-config $$pkg --libs)"; \
230 moc="\$$(shell pkg-config $$pkg --variable=prefix)/bin/moc"; \
231 dir="$$(pkg-config $$pkg --variable=prefix)"; \
232 else \
233 for d in $$QTDIR /usr/share/qt* /usr/lib/qt*; do \
234 if [ -f $$d/include/qconfig.h ]; then dir=$$d; break; fi; \
235 done; \
236 if [ -z "$$dir" ]; then \
237 echo >&2 "*"; \
225 pkg-config --exists qt 2> /dev/null && pkg=qt; \
226 pkg-config --exists qt-mt 2> /dev/null && pkg=qt-mt; \
227 if [ -n "$$pkg" ]; then \
228 cflags="\$$(shell pkg-config $$pkg --cflags)"; \
229 libs="\$$(shell pkg-config $$pkg --libs)"; \
230 moc="\$$(shell pkg-config $$pkg --variable=prefix)/bin/moc"; \
231 dir="$$(pkg-config $$pkg --variable=prefix)"; \
232 else \
233 for d in $$QTDIR /usr/share/qt* /usr/lib/qt*; do \
234 if [ -f $$d/include/qconfig.h ]; then dir=$$d; break; fi; \
235 done; \
236 if [ -z "$$dir" ]; then \
237 echo >&2 "*"; \
238 echo >&2 "* Unable to find any QT installation. Please make sure that"; \
239 echo >&2 "* the QT4 or QT3 development package is correctly installed and"; \
238 echo >&2 "* Unable to find any Qt installation. Please make sure that"; \
239 echo >&2 "* the Qt4 or Qt3 development package is correctly installed and"; \
240 echo >&2 "* either qmake can be found or install pkg-config or set"; \
241 echo >&2 "* the QTDIR environment variable to the correct location."; \
242 echo >&2 "*"; \
243 false; \
244 fi; \
245 libpath=$$dir/lib; lib=qt; osdir=""; \
246 $(HOSTCXX) -print-multi-os-directory > /dev/null 2>&1 && \
247 osdir=x$$($(HOSTCXX) -print-multi-os-directory); \

--- 20 unchanged lines hidden (view full) ---

268 echo "KC_QT_MOC=$$moc" >> $@
269endif
270
271$(obj)/gconf.o: $(obj)/.tmp_gtkcheck
272
273ifeq ($(MAKECMDGOALS),gconfig)
274-include $(obj)/.tmp_gtkcheck
275
240 echo >&2 "* either qmake can be found or install pkg-config or set"; \
241 echo >&2 "* the QTDIR environment variable to the correct location."; \
242 echo >&2 "*"; \
243 false; \
244 fi; \
245 libpath=$$dir/lib; lib=qt; osdir=""; \
246 $(HOSTCXX) -print-multi-os-directory > /dev/null 2>&1 && \
247 osdir=x$$($(HOSTCXX) -print-multi-os-directory); \

--- 20 unchanged lines hidden (view full) ---

268 echo "KC_QT_MOC=$$moc" >> $@
269endif
270
271$(obj)/gconf.o: $(obj)/.tmp_gtkcheck
272
273ifeq ($(MAKECMDGOALS),gconfig)
274-include $(obj)/.tmp_gtkcheck
275
276# GTK needs some extra effort, too...
276# GTK+ needs some extra effort, too...
277$(obj)/.tmp_gtkcheck:
278 @if `pkg-config --exists gtk+-2.0 gmodule-2.0 libglade-2.0`; then \
279 if `pkg-config --atleast-version=2.0.0 gtk+-2.0`; then \
280 touch $@; \
281 else \
282 echo >&2 "*"; \
283 echo >&2 "* GTK+ is present but version >= 2.0.0 is required."; \
284 echo >&2 "*"; \

--- 14 unchanged lines hidden (view full) ---

299$(obj)/qconf.o: $(obj)/qconf.moc
300
301quiet_cmd_moc = MOC $@
302 cmd_moc = $(KC_QT_MOC) -i $< -o $@
303
304$(obj)/%.moc: $(src)/%.h $(obj)/.tmp_qtcheck
305 $(call cmd,moc)
306
277$(obj)/.tmp_gtkcheck:
278 @if `pkg-config --exists gtk+-2.0 gmodule-2.0 libglade-2.0`; then \
279 if `pkg-config --atleast-version=2.0.0 gtk+-2.0`; then \
280 touch $@; \
281 else \
282 echo >&2 "*"; \
283 echo >&2 "* GTK+ is present but version >= 2.0.0 is required."; \
284 echo >&2 "*"; \

--- 14 unchanged lines hidden (view full) ---

299$(obj)/qconf.o: $(obj)/qconf.moc
300
301quiet_cmd_moc = MOC $@
302 cmd_moc = $(KC_QT_MOC) -i $< -o $@
303
304$(obj)/%.moc: $(src)/%.h $(obj)/.tmp_qtcheck
305 $(call cmd,moc)
306
307# Extract gconf menu items for I18N support
307# Extract gconf menu items for i18n support
308$(obj)/gconf.glade.h: $(obj)/gconf.glade
309 $(Q)intltool-extract --type=gettext/glade --srcdir=$(srctree) \
310 $(obj)/gconf.glade
308$(obj)/gconf.glade.h: $(obj)/gconf.glade
309 $(Q)intltool-extract --type=gettext/glade --srcdir=$(srctree) \
310 $(obj)/gconf.glade